#!/bin/bash 
################################################# 
# ETHERNET SCRIPT GENERATOR
# TODO:
#################################################

# Please use these predefined variable
. $MX_SCRIPT_PATH/mx_global.sh
. $MX_SCRIPT_PATH/snmp/global.sh
table=$mx_product_table
gb_debug_enable=0
gb_print_enable=0

#################################################
# STARTING POINT:
#################################################

#gb_sql_import_row_var "SELECT * from mxSystem"
#echo "kernel version = $kernelVersion"
#echo "Set the busy state to $busy"

#ex: V2420-LX firmware version 1.0 Build 10080516
info=`kversion -a`
name=`echo $info | awk '{print $1'}`
version=`echo $info | awk '{print $4'}`
build_date=`echo $info | awk '{print $6'}`
serial_num=`dmidecode | grep 'Handle 0x0002' -A 6 | awk '/Serial Number/{print $3'}`

gb_debug "name=$name"
gb_debug "version=$version"
gb_debug "buildDate=$build_date"
gb_debug "serialNumber=$serial_num"
gb_sql_query "UPDATE $table set name='$name', version='$version', buildDate='$build_date', serialNumber='$serial_num' where id=1"



